AMULECMD(1)

IZENA
amulecmd - aMule kontrolatzeko testuan oinarrituriko programa

LABURPENA
amulecmd [-h <ost>] [-p <ataka>] [-P <pasahitza>] [-f <bidea>] [-q] [-v] [-l <hizkuntza>] [-w] [-c <komandoa>]

amulecmd [-f <bidea>] --create-config-from=<bidea>

amulecmd [--help] [--version]

DESCRIPTION
amulecmd aMule kontrolatzeko testuan oinarrituriko programa bat da. Programa abiarazten duzunean argibide erabilgarriak jaso ditzazkezu.

-h, --host=<ostalaria>
    aMule abiarazirik dagoen ostalaria (lehenetsia: localhost). <host> IP helbide edo DNS izen bat izan behar da.

-p, --port=<ataka>
    aMule-ren kanpo konexioetarako ataka, Hobespenak->Urruneko Kontrolak atalean ezarririk dagoen bezala (lehenetsia: 4712)

-P, --password=<pasahitza>
    Kanpo Konexioetarako pasahitza

-f, --config-file=<bidea>
    emandako konfigurazio fitxategia erabili. Lehenetsiriko konfigurazio fitxategia ~/.aMule/remote.conf da

-q, --quiet
    ez irteerarik inprimatu irteera estandarrean. Ez da erabilgarria amulecmd erabiltzean.

-v, --verbose
    luzea izan - arazpen mezuak ere ikusi

-l, --locale=<hizkuntza>
    Programa lokalak ezartzen ditu (hizkuntza). HARRAK atala irakurri <hizkuntza> parametroaz gehiago jakiteko.

-w, --write-config
    komando lerroko aukerak konfigurazio fitxategian gorde eta irten

-c, --command=<komandoa>
    <komadoa> amulecmd-ren barnean egin bazen bezala abiarazi eta irten

--create-config-from=<bidea>
    konfigurazio fitxategia <bidea> oinarriturik egin, zein aMule konfigurazio fitxategiaren bidea izan behar da eta irten

--help
    erabilera laguntza argibideak bistarazi eta irten

--version
    programa bertsio argibideak bistarazi eta irten

OHARRAK

  Bideak
<bidea> balio duten aukera guztietan, <bidea>-ek ez badu direktorio zatirik (Adib. fitxategi izen arrunta), aMule konfigurazio direktorioan (~/.aMule) dagoela pentsatuko da.

  Hizkuntzak
-l aukeraren <hizkuntza> parametroa hurrengo formatukoa da: hizkuntza[_HIZKUNTZA][.kodeketa][@aldagaia] non hizkuntzalang hizkuntza nagusia, HIZKUNTZA azpihizkuntz/kokapena, kodeketak karkatere jokoa diren eta aldagaia-k erabiltzaileari kategoria hizkuntza aldagaiak erabiltzeko aukera ematen du".

Adibdiez, hurrengo kateak egokiak dira:
eu
eu_FR
eu_ES.iso88591
de_DE@euro
de_DE.iso88591@euro

Kontutan izan gohiko kate guztiak hizkuntz definizio zuzenak direla nahi ez kodeketak eta aldagaia erabili.

Goiko formatuaz gain, hizkuntzaren Ingelesezko izen osoaz ere ezarri dezakezu - beraz -l german egokia da eta -l de_DE erabiltzearen berdina da.

Ez denean konfigurazio fitxategian edo komando lerroan lokalik ezartzen sistemaren lehenetsia erabiliko da.

FITXATEGIAK
~/.aMule/remote.conf

ADIBIDEA
Normalean amulecmd lehen aldian horrela abiarazi behar da:

amulecmd -h ostalaria -p ECataka -P ECpasahitza -w

edo

amulecmd --create-config-from=/home/username/.aMule/amule.conf

Honek ezarpenak $HOME/.aMule/remote.conf-en gordeko ditu, eta hemendik aurrera hau eginaz aski izango da:

amulecmd

Noski ez duzu adibide hau jarraitu beharrik.

ZORRIEN BERRI EMATEN
Mesedez zorrien berri emateko gure foroa (http://forum.amule.org/), edo gure zorri kudeatzailea (http://bugs.amule.org/) erabili. Mesedez ez eman zorrien berri epostaz, ez gure eposta zerrendan ez taldeko partaideei.

COPYRIGHT
aMule eta inguruneko lanabes guztiak GNU Lizentzia Publiko Orokorraz banatzen dira.

IKUSI ERE
amule(1), amuleweb(1)